Bug 1391516 - Brocken display arrangement with second display on optimus setup
Summary: Brocken display arrangement with second display on optimus setup
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-03 13:18 UTC by Enno
Modified: 2017-12-12 10:41 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:41:43 UTC


Attachments (Terms of Use)

Description Enno 2016-11-03 13:18:36 UTC
Description of problem:

If i connect a second display to my notebooks (t430) mDP (only connected to dGPU) most times i got a broken desktop. both laptop and external display are recognized, but the internal only show a grey screen. the courser couldn't be moved to the internal screen but a small part of the courser is visible if move to the shared edge. the internal should be the prim display as no gnome bar is viable.

if i cycle through mode wit super+p  i noticed that there are 5 states instead of 4. each screen individually, mirrored, extended and broken extended which is often the default if i connect a display.     


Version-Release number of selected component (if applicable):


How reproducible:

Connect a second display to the mDP on a lenovo T430 and cycle through thedisplay modes.



Steps to Reproduce:
1.
2.
3.

Actual results:

broken display arragnment. see above.


Expected results:

just normale extension of the desktop on the external screen


Additional info:

done on fedora test day 
https://fedoraproject.org/wiki/Test_Day:2016-11-03_BetterSwitchableGraphicsSupport

tests done as enno on
http://testdays.fedorainfracloud.org/events/14

Comment 1 Enno 2016-11-03 13:51:12 UTC
As i noticed with further experiments this only happens on my dell 24" on all ports DP,DVI and VGA but not on the LG with DVI and VGA.

Comment 2 Hans de Goede 2016-11-10 17:01:15 UTC
Hi,

I've done a kernel scratch-build with some patches which might help here. Can you give this a try please? From here: https://koji.fedoraproject.org/koji/taskinfo?taskID=16384253 download both the kernel-core and kernel-modules x86_64 rpms and put them together in a directory, then from that directory run:

sudo rpm -ivh kernel*.rpm

Note "-ivh" rather then the standard "-Uvh" so that you keep your current kernel and can always select it in the bootloader in case 4.8.6 fails to boot for you for some reason.

Then reboot and see how things go.

Regards,

Hans

Comment 3 Fedora End Of Life 2017-11-16 18:43:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:41:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.